repo/gentoo:master commit in: dev-python/numpy/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786789315.0a4caf42f214ef730f4ca122932b3ed81b8e2f90.mgorny@gentoo> |
commit: 0a4caf42f214ef730f4ca122932b3ed81b8e2f90
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 10:19:12 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 10:21:55 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a4caf42
dev-python/numpy: Fix typo in vsx flag logic
Closes: https://bugs.gentoo.org/977233
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/numpy/{numpy-2.4.4.ebuild => numpy-2.4.4-r1.ebuild} | 2 +-
dev-python/numpy/numpy-2.4.6.ebuild | 2 +-
dev-python/numpy/numpy-2.5.1.ebuild | 2 +-
dev-python/numpy/{numpy-2.5.2.ebuild => numpy-2.5.2-r1.ebuild} | 2 +-
4 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/dev-python/numpy/numpy-2.4.4.ebuild b/dev-python/numpy/numpy-2.4.4-r1.ebuild
similarity index 99%
rename from dev-python/numpy/numpy-2.4.4.ebuild
rename to dev-python/numpy/numpy-2.4.4-r1.ebuild
index b0d2b9ad0c0f..b1e42a932ccc 100644
--- a/dev-python/numpy/numpy-2.4.4.ebuild
+++ b/dev-python/numpy/numpy-2.4.4-r1.ebuild
@@ -124,7 +124,7 @@ python_configure_all() {
ppc64)
# every flag implies the previous one
for flag in '' 2 3 4; do
- if ! use "cpu_flags_ppc_vsx${flags}"; then
+ if ! use "cpu_flags_ppc_vsx${flag}"; then
break
fi
cpu_baseline+=( "VSX${flag}" )
diff --git a/dev-python/numpy/numpy-2.4.6.ebuild b/dev-python/numpy/numpy-2.4.6.ebuild
index 864cd1defe96..9b5bf0d214d6 100644
--- a/dev-python/numpy/numpy-2.4.6.ebuild
+++ b/dev-python/numpy/numpy-2.4.6.ebuild
@@ -124,7 +124,7 @@ python_configure_all() {
ppc64)
# every flag implies the previous one
for flag in '' 2 3 4; do
- if ! use "cpu_flags_ppc_vsx${flags}"; then
+ if ! use "cpu_flags_ppc_vsx${flag}"; then
break
fi
cpu_baseline+=( "VSX${flag}" )
diff --git a/dev-python/numpy/numpy-2.5.1.ebuild b/dev-python/numpy/numpy-2.5.1.ebuild
index 9137c0c9a97a..0358318cc4a1 100644
--- a/dev-python/numpy/numpy-2.5.1.ebuild
+++ b/dev-python/numpy/numpy-2.5.1.ebuild
@@ -124,7 +124,7 @@ python_configure_all() {
ppc64)
# every flag implies the previous one
for flag in '' 2 3 4; do
- if ! use "cpu_flags_ppc_vsx${flags}"; then
+ if ! use "cpu_flags_ppc_vsx${flag}"; then
break
fi
cpu_baseline+=( "VSX${flag}" )
diff --git a/dev-python/numpy/numpy-2.5.2.ebuild b/dev-python/numpy/numpy-2.5.2-r1.ebuild
similarity index 99%
rename from dev-python/numpy/numpy-2.5.2.ebuild
rename to dev-python/numpy/numpy-2.5.2-r1.ebuild
index 7bb13acf864a..457332cb18a5 100644
--- a/dev-python/numpy/numpy-2.5.2.ebuild
+++ b/dev-python/numpy/numpy-2.5.2-r1.ebuild
@@ -124,7 +124,7 @@ python_configure_all() {
ppc64)
# every flag implies the previous one
for flag in '' 2 3 4; do
- if ! use "cpu_flags_ppc_vsx${flags}"; then
+ if ! use "cpu_flags_ppc_vsx${flag}"; then
break
fi
cpu_baseline+=( "VSX${flag}" )